# Delete a subscription item Deletes an item from the subscription. Removing a subscription item from a subscription will not cancel the subscription. ## Returns An subscription item object with a deleted flag upon success. Otherwise, this call raises [an error](https://docs.stripe.com/api/subscription_items/delete.md#errors), such as if the subscription item has already been deleted. ## Parameters - `clear_usage` (boolean, optional) Delete all usage for the given subscription item. Allowed only when the current plan’s `usage_type` is `metered`. - `proration_behavior` (enum, optional) Determines how to handle [prorations](https://docs.stripe.com/docs/billing/subscriptions/prorations.md) when the billing cycle changes (e.g., when switching plans, resetting `billing_cycle_anchor=now`, or starting a trial), or if an item’s `quantity` changes. The default value is `create_prorations`. Possible enum values: - `always_invoice` Always invoice immediately for prorations. - `create_prorations` Will cause proration invoice items to be created when applicable. These proration items will only be invoiced immediately under [certain conditions](https://docs.stripe.com/docs/subscriptions/upgrading-downgrading.md#immediate-payment). - `none` Disable creating prorations in this request. - `proration_date` (timestamp, optional) If set, the proration will be calculated as though the subscription was updated at the given time. This can be used to apply the same proration that was previewed with the [upcoming invoice](https://docs.stripe.com/api/subscription_items/delete.md#retrieve_customer_invoice) endpoint. ```curl curl -X DELETE https://api.stripe.com/v1/subscription_items/si_NcLYdDxLHxlFo7 \ -u "<>" \ -H "Stripe-Version: 2026-01-28.preview" ``` ### Response ```json { "id": "si_NcLYdDxLHxlFo7", "object": "subscription_item", "deleted": true } ```